Subject: Re: [Lsr] Working Group Last Call for "Signaling Entropy Label Capability and Entropy Readable Label-stack Depth Using OSPF" - draft-ietf-ospf-mpls-elc-08

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Mon, 2 Sep 2019 04:47:51 +0000

I support moving forward with these drafts.
There are clearly use cases for this functionality and the solution has been vetted with providers who intend to deploy this.

  Les

From: Lsr <[email-masked]> On Behalf Of Acee Lindem (acee)
Sent: Friday, August 30, 2019 12:42 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [Lsr] Working Group Last Call for "Signaling Entropy Label Capability and Entropy Readable Label-stack Depth Using OSPF" - draft-ietf-ospf-mpls-elc-08

We’ve gone through a number of iterations with these ELC drafts and I believe they are ready and meets all the use case requirements. Note that “Entropy Label for Spring tunnels” – draft-ietf-mpls-spring-entropy-label-12 is on the RFC editor’s queue.
This begins a two week last call for the subject draft. Please indicate your support or objection on this list prior to 12:00 AM UTC on Sept 14th, 2014.
Thanks,
Acee

---

From: Jeff Tantsura <[email-masked]>
Date: Sun, 1 Sep 2019 23:27:37 -0700

Yes/support 

Cheers,
Jeff

> _______________________________________________
> Lsr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lsr

---

From: <[email-masked]>
Date: Mon, 2 Sep 2019 10:14:39 +0000

Support.
This is needed for using MPLS Entropy Label in SR-MPLS.

Please find below some proposed comments. Please feel free to silently discard.

§1 Introduction
OLD:

“This capability, referred to as Entropy

   Readable Label Depth (ERLD) as defined in

   [I-D.ietf-mpls-spring-entropy-label<https://tools.ietf.org/html/draft-ietf-isis-mpls-elc-07#ref-I-D.ietf-mpls-spring-entropy-label>] may be used by ingress LSRs to

   determine whether it's necessary to insert an EL for a given LSP in

   the case where there has already been at least one EL in the label

   stack [I-D.ietf-mpls-spring-entropy-label<https://tools.ietf.org/html/draft-ietf-isis-mpls-elc-07#ref-I-D.ietf-mpls-spring-entropy-label>].”

NEW:

This capability, referred to as Entropy

   Readable Label Depth (ERLD) as defined in

   [I-D.ietf-mpls-spring-entropy-label<https://tools.ietf.org/html/draft-ietf-isis-mpls-elc-07#ref-I-D.ietf-mpls-spring-entropy-label>] may be used by ingress LSRs to

   determine the position of the EL label in the stack, and whether it's necessary to insert multiple ELs at different depth.

§7 Security Considerations

“This document does not introduce any new security risks.”

Incorrectly setting the E flag (ELC capable) (during origination, propagation, redistribution) may lead to black-holing the traffic on the egress node. I believe this risk should be mentioned.

§3.x

“0x04 - E-Flag (ELC Flag): Set by the advertising router to indicate that the prefix originator is capable of processing ELs”

I’m not that familiar with OSPF so I may be wrong. But it seems like one could understand “prefix originator” as the router advertising the prefix in the OSPF message. In which case this would be wrong in the case of inter-AS (and possibly inter area) as this OSPF originator would not be the egress of the MPLS LSP. RFC 6790 refers to “Egress LSR” for such node.

I would propose :s/prefix originator/Egress of the MPLS LSP for this prefix

Thanks
Regards,
--Bruno

From: Lsr [mailto:[email-masked]] On Behalf Of Acee Lindem (acee)
Sent: Friday, August 30, 2019 9:42 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [Lsr] Working Group Last Call for "Signaling Entropy Label Capability and Entropy Readable Label-stack Depth Using OSPF" - draft-ietf-ospf-mpls-elc-08

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Peter Psenak <[email-masked]>
Date: Mon, 2 Sep 2019 12:17:23 +0200

Hi Acee,

support as co-author.

thanks,
Peter

On 30/08/2019 21:42, Acee Lindem (acee) wrote:
> We’ve gone through a number of iterations with these ELC drafts and I 
> believe they are ready and meets all the use case requirements. Note 
> that “Entropy Label for Spring tunnels” – 
> draft-ietf-mpls-spring-entropy-label-12 is on the RFC editor’s queue.
> 
> This begins a two week last call for the subject draft. Please indicate 
> your support or objection on this list prior to 12:00 AM UTC on Sept 
> 14^th , 2014.
> 
> Thanks,
> Acee
>

---

From: Uma Chunduri <[email-masked]>
Date: Tue, 10 Sep 2019 18:43:15 +0000

Support.

One question to authors:

On E bit in section 4:  The motivation seems to extend this in Prefix attributes is for inter-area consideration and advertised per every local host prefix (link) .
                                       Is there any specific reason why link MSD is not considered instead ? ( https://tools.ietf.org/html/rfc8491)

--
Uma C.

From: mpls <[email-masked]> On Behalf Of Acee Lindem (acee)
Sent: Friday, August 30, 2019 12:42 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [mpls] Working Group Last Call for "Signaling Entropy Label Capability and Entropy Readable Label-stack Depth Using OSPF" - draft-ietf-ospf-mpls-elc-08

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 10 Sep 2019 18:55:54 +0000

Hi Uma,

From: Uma Chunduri <[email-masked]>
Date: Tuesday, September 10, 2019 at 2:43 PM
To: Acee Lindem <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: Working Group Last Call for "Signaling Entropy Label Capability and Entropy Readable Label-stack Depth Using OSPF" - draft-ietf-ospf-mpls-elc-08

Support.

One question to authors:

Because the intra-area link topology is not exposed across areas or to other protocols.

Thanks,
Acee

--
Uma C.

---

From: Uma Chunduri <[email-masked]>
Date: Wed, 11 Sep 2019 23:27:51 +0000

>Because the intra-area link topology is not exposed across areas or to other protocols.

Agreed Acee.

But just looking this again then:

  1.  Not really clear why ELC is required in Section 4, when it’s confirmed from Stephane’s email (Sept 4th 2019) ERLD covers both reading + doing and action.
  2.  Section 4 extending RFC 7794, with E bit, which is defined for prefix attributes for inter-area purposes (no  ERLD value obviously). Same thing can be achieved simply if router capability with ERLD value itself is propagated (per RFC 7981).

Overall, I am more confused here than earlier. But feel free to ignore my comments.

--
Uma C.

---

From: "徐小虎(义先)" <[email-masked]>
Date: Thu, 12 Sep 2019 10:33:05 +0800

Hi Uma,

The ELC is used to indicate whether an LSR is capable of recognizing and popping the EL associated with the LSP which is terminated on that LSR while the E of the ERLC is used to indicate whether an LSR could perform EL-based load-balancing. In a word, ERLD<>RLD+ELC.

Best regards,
Xiaohu

------------------------------------------------------------------
From:Uma Chunduri <[email-masked]>
Send Time:2019年9月12日(星期四) 07:28
To:Acee Lindem (acee) <[email-masked]>; [email-masked] <[email-masked]>
Cc:[email-masked] <[email-masked]>; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Subject:Re: [Lsr] Working Group Last Call for "Signaling Entropy Label Capability and Entropy Readable Label-stack Depth Using OSPF" - draft-ietf-ospf-mpls-elc-08

Agreed Acee.

Not really clear why ELC is required in Section 4, when it’s confirmed from Stephane’s email (Sept 4th 2019) ERLD covers both reading + doing and action.
Section 4 extending RFC 7794, with E bit, which is defined for prefix attributes for inter-area purposes (no  ERLD value obviously). Same thing can be achieved simply if router capability with ERLD value itself is propagated (per RFC 7981). 

--
Uma C.

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Fri, 27 Sep 2019 15:53:11 +0000

The Working Group last call has completed and we have received IPR responses from all the authors. We have some comments from the Routing Directorate review on the corresponding IS-IS draft. I will hold off requesting publication in case the comments are also applicable to this version. Thanks,
Acee

From: Acee Lindem <[email-masked]>
Date: Friday, August 30, 2019 at 3:42 PM
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Working Group Last Call for "Signaling Entropy Label Capability and Entropy Readable Label-stack Depth Using OSPF" - draft-ietf-ospf-mpls-elc-08